中危 MariaDB 代码问题漏洞(CVE-2021-46665)

CVE编号

CVE-2021-46665

利用情况

暂无

补丁情况

官方补丁

披露时间

2022-03-16
漏洞描述
MariaDB是MariaDB(Mariadb)基金会的一套免费开源的数据库管理系统,也是一个采用Maria存储引擎的MySQL分支版本。

MariaDB 中存在代码问题漏洞,该漏洞源于产品sql_parse.cc文件未对used_tables异常做有效处理。攻击者可通过该漏洞导致程序崩溃。

受影响系统:MariaDB 10.5.9 版本
解决建议
目前厂商已发布升级补丁以修复漏洞,详情请关注厂商主页:

https://mariadb.org/
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 mariadb mariadb * Up to
(including)
10.5.9
运行在以下环境
系统 alpine_3.12 mariadb * Up to
(excluding)
10.4.24-r0
运行在以下环境
系统 alpine_3.13 mariadb * Up to
(excluding)
10.5.15-r0
运行在以下环境
系统 alpine_3.14 mariadb * Up to
(excluding)
10.5.15-r0
运行在以下环境
系统 alpine_3.15 mariadb * Up to
(excluding)
10.6.7-r0
运行在以下环境
系统 alpine_3.16 mariadb * Up to
(excluding)
10.6.7-r0
运行在以下环境
系统 alpine_edge mariadb * Up to
(excluding)
10.6.7-r0
运行在以下环境
系统 debian_10 mariadb * Up to
(excluding)
1:10.3.34-0+deb10u1
运行在以下环境
系统 debian_11 mariadb * Up to
(excluding)
1:10.5.15-0+deb11u1
运行在以下环境
系统 debian_12 mariadb * Up to
(including)
10.6.5-2
运行在以下环境
系统 debian_sid mariadb * Up to
(including)
10.6.5-2
运行在以下环境
系统 fedora_34 mariadb * Up to
(excluding)
10.5.15-1.fc34
运行在以下环境
系统 fedora_34_Modular mariadb * Up to
(excluding)
10.5-3420220428160949.058368ca
运行在以下环境
系统 fedora_35 mariadb * Up to
(excluding)
26.4.11-1.fc35
运行在以下环境
系统 fedora_35_Modular mariadb * Up to
(excluding)
10.5-3520220428160949.f27b74a8
运行在以下环境
系统 fedora_36 mariadb * Up to
(excluding)
26.4.11-1.fc36
运行在以下环境
系统 fedora_36_Modular mariadb * Up to
(excluding)
10.5-3620220428160949.5e5ad4a0
运行在以下环境
系统 opensuse_Leap_15.3 mariadb * Up to
(excluding)
10.5.15-150300.3.15.1
运行在以下环境
系统 opensuse_Leap_15.4 mariadb * Up to
(excluding)
10.4.24-3.25.1
运行在以下环境
系统 suse_12_SP5 mariadb * Up to
(excluding)
10.2.43-3.47.1
运行在以下环境
系统 ubuntu_20.04 mariadb * Up to
(excluding)
1:10.3.34-0ubuntu0.20.04.1
运行在以下环境
系统 ubuntu_21.10 mariadb * Up to
(excluding)
1:10.5.15-0ubuntu0.21.10.1
阿里云评分
4.9
  • 攻击路径
    本地
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    数据泄露
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
NVD-CWE-noinfo
阿里云安全产品覆盖情况